Page MenuHomePhabricator

Make it possible to close private/fishbowl wikis
Closed, ResolvedPublic

Description

Ocassionally, it's needed to close a private/fishbowl wiki (see T184961 and T205584 as examples). However, as figured out in T205584, it's not possible to close a private/fishbowl wiki, because only one dblist can take effect in groupOverrides in wmf-config/InitialiseSettings.php.

This can be fixed by moving those dblists to groupOverrides2. By manually testing on mwdebug hosts, this seems to work.

Event Timeline

Urbanecm created this task.Jul 14 2019, 4:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2019, 4:07 PM
Urbanecm triaged this task as Low priority.Jul 14 2019, 4:07 PM

Change 522987 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Move private and fishbowl overrides from groupOverrides to groupOverrides2

https://gerrit.wikimedia.org/r/522987

Change 522987 merged by jenkins-bot:
[operations/mediawiki-config@master] Move private and fishbowl overrides from groupOverrides to groupOverrides2

https://gerrit.wikimedia.org/r/522987

Mentioned in SAL (#wikimedia-operations) [2019-07-15T11:28:50Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[:gerrit:522987|Move private and fishbowl overrides from groupOverrides to groupOverrides2]] (T227980) (duration: 00m 51s)

Urbanecm closed this task as Resolved.Jul 15 2019, 11:57 AM

Deployed!